import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDatabricksCatalogsConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/databricks/d/catalogs#ids DataDatabricksCatalogs#ids}
    */
    readonly ids?: string[];
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/databricks/d/catalogs databricks_catalogs}
*/
export declare class DataDatabricksCatalogs extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "databricks_catalogs";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/databricks/d/catalogs databricks_catalogs} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDatabricksCatalogsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDatabricksCatalogsConfig);
    get id(): string;
    private _ids?;
    get ids(): string[];
    set ids(value: string[]);
    resetIds(): void;
    get idsInput(): string[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-databricks-catalogs.d.ts.map