import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDatabricksClustersConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/databricks/d/clusters#cluster_name_contains DataDatabricksClusters#cluster_name_contains}
    */
    readonly clusterNameContains?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/databricks/d/clusters databricks_clusters}
*/
export declare class DataDatabricksClusters extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "databricks_clusters";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/databricks/d/clusters databricks_clusters} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDatabricksClustersConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDatabricksClustersConfig);
    private _clusterNameContains?;
    get clusterNameContains(): string;
    set clusterNameContains(value: string);
    resetClusterNameContains(): void;
    get clusterNameContainsInput(): string | undefined;
    get id(): string;
    get ids(): string[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-databricks-clusters.d.ts.map