import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface WorkspaceConfConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/databricks/r/workspace_conf#custom_config WorkspaceConf#custom_config}
    */
    readonly customConfig?: {
        [key: string]: string;
    };
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/databricks/r/workspace_conf databricks_workspace_conf}
*/
export declare class WorkspaceConf extends cdktf.TerraformResource {
    static readonly tfResourceType = "databricks_workspace_conf";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/databricks/r/workspace_conf databricks_workspace_conf} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options WorkspaceConfConfig = {}
    */
    constructor(scope: Construct, id: string, config?: WorkspaceConfConfig);
    private _customConfig?;
    get customConfig(): {
        [key: string]: string;
    };
    set customConfig(value: {
        [key: string]: string;
    });
    resetCustomConfig(): void;
    get customConfigInput(): {
        [key: string]: string;
    } | undefined;
    get id(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=workspace-conf.d.ts.map